using System;
using System.Collections.Generic;

class Program
{
    static int Pecina(int a, int b, int[] brojevi, int d, int f)
    {
        if(a > 0)
        {
            if (b >= brojevi[d])
            {
                d++;
                f = d;
                return f;
            }
            else
            {
                d++;
                return Pecina(a-1, b, brojevi, d, f);
            }
            
        }
        return f;
    }
    static void Main()
    {
        string ulaz = Console.ReadLine();
        string[] broj = ulaz.Split(' ');
        int a = int.Parse(broj[0]);
        int b = int.Parse(broj[1]);
        string visina = Console.ReadLine(); 
        string[] brojevi = visina.Split(' ');
        int[] brojev = Array.ConvertAll(brojevi, int.Parse);
        int d = 0;
        int f = Pecina(a, b, brojev, d, 0);
        if(f == 0)
        {
            f = -1;
        }
        Console.WriteLine(f);
    }
}